## sonobuoy query

Runs queries against your cluster in order to aid in debugging.

```
sonobuoy query [flags]
```

### Options

```
      --config Sonobuoy config   Path to a sonobuoy configuration JSON file.
  -h, --help                     help for query
  -o, --output string            Directory to output results into. If empty, will default to a UUID folder in the pwd.
```

### Options inherited from parent commands

```
      --level level   Log level. One of {panic, fatal, error, warn, info, debug, trace} (default info)
```

### SEE ALSO

* [sonobuoy](sonobuoy.md)	 - Generate reports on your Kubernetes cluster by running plugins

###### Auto generated by spf13/cobra on 20-Jan-2023
